Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Class JaasConfiguration

java.lang.Object
javax.security.auth.login.Configuration
com.microsoft.sqlserver.jdbc.JaasConfiguration

public class JaasConfiguration extends Configuration
Overrides JAAS Configuration and always provide a configuration is not defined for default configuration.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

`Configuration.Parameters`

## Method Summary

Modifier and Type
Method
Description
`AppConfigurationEntry[]`
`getAppConfigurationEntry​(String name)`
`void`
`refresh()`

### Methods inherited from class javax.security.auth.login.Configuration

`getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAppConfigurationEntry

public AppConfigurationEntry[] getAppConfigurationEntry​(String name)

Specified by:
  `getAppConfigurationEntry` in class `Configuration`

### refresh

public void refresh()

Overrides:
  `refresh` in class `Configuration`